Skip to content

organization_product_update

Updates an existing product's name and/or description

Tool

organization_product_update

Updates an existing product's name and/or description

Updates an existing product's name and/or description

Behavior

HTTP
PATCH /governance/api/v1/products/:productId

Arguments

Name
Type
Required
Description
name
string
—
No description in the catalog.
productId
string
•
No description in the catalog.
description
string
—
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
name
string
•
role
string
•
slug
string
•
demoAt
string
•
region
string
•
status
string
•
logoUrl
string
•
blockedAt
string
•
createdAt
string
•
archivedAt
string
•
description
string
•
organizationId
string
•
effectiveBlockedAt
string
•
effectiveArchivedAt
string
•

Try it

Updates an existing product's name and/or description.

When to use

Updates an existing product's name and/or description

Example

Ask your agent something like this:

Updates an existing product's name and/or description.

The agent will invoke organization_product_update with these arguments:

{
  "productId": "<productId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select